import { Logger } from 'log4js';
export declare const Slogger: unique symbol;
export declare enum IpcMessageType {
    Request = "Request",
    Response = "Response",
    Notification = "Notification",
    Error = "Error"
}
export interface Slogger {
    info(message: string, ...args: any[]): void;
    error(message: string, ...args: any[]): void;
    logIpcCall(id: number, type: IpcMessageType, name: string, params: any): void;
    logState(state: any): void;
}
export declare class SloggerDefault implements Slogger {
    logState(state: any): void;
    logIpcCall(id: number, type: IpcMessageType, name: string, params: any): void;
    info(message: string, ...args: any[]): void;
    error(message: string, ...args: any[]): void;
}
export declare class SloggerNode implements Slogger {
    readonly logger: Logger;
    readonly APPLICATION: string;
    constructor();
    logIpcCall(id: number, type: IpcMessageType, name: string, params: any): void;
    logState(state: any): void;
    info(message: string, ...args: any[]): void;
    error(message: string, ...args: any[]): void;
}
//# sourceMappingURL=slogger.d.ts.map